For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
        • GETGet Eligible Merchants
        • GETGet Merchant by ID
        • GETGet Merchants
Get supportSee a Demo
API ReferenceRewardsMerchants

Get Merchant by ID

GET
/rewards/merchant/:id
GET
/rewards/merchant/:id
$curl https://rewards-api.getkard.com/rewards/merchant/%7Bid%7D \
> -H "Authorization: Bearer <token>"
1{
2 "_id": "5e27318c9b346f00087fbb5c",
3 "name": "Some merchant",
4 "source": "NATIONAL",
5 "description": "N/A",
6 "imgUrl": "https://www.somemerchant.com/image.png",
7 "bannerImgUrl": "https://www.somemerchant.com/bannerImage.png",
8 "websiteURL": "https://www.somemerchant.com",
9 "acceptedCards": [
10 "AMERICAN EXPRESS",
11 "MASTERCARD",
12 "VISA",
13 "DISCOVER"
14 ],
15 "category": "Food & Beverage",
16 "createdDate": "2022-03-12T05:00:58.456Z",
17 "lastModified": "2022-03-12T05:00:58.456Z",
18 "offers": [
19 {
20 "_id": "5e27318c9b346f00087fbb5b",
21 "name": "Some Offer",
22 "merchantId": "5e27318c9b346f00087fbb5c",
23 "offerType": "INSTORE",
24 "isLocationSpecific": false,
25 "optInRequired": false,
26 "expirationDate": "2022-03-12T05:00:58.456Z",
27 "commissionType": "PERCENT",
28 "totalCommission": 9.5,
29 "issuersCommission": 3.5,
30 "usersCommission": 6,
31 "startDate": "2022-01-01T05:00:00Z",
32 "terms": "Not all cards are eligible and not all transactions can be monitored. For debit cards, run transaction as credit, do not use PIN. Offer valid from 12/19/2018. Maximum individual reward 250 dollars. The business may change or end the Offer at any time up to the point of purchase without notice.",
33 "createdDate": "2022-03-12T05:00:58.456Z",
34 "lastModified": "2022-03-12T05:00:58.456Z",
35 "minRewardAmount": 5,
36 "maxRewardAmount": 20,
37 "minTransactionAmount": 5,
38 "maxTransactionAmount": 20,
39 "redeemableOnce": true,
40 "isTargeted": true,
41 "status": "ACTIVE",
42 "merchantLocationIds": [
43 "5e27318c9b346f00087fba8l"
44 ]
45 }
46 ]
47}

Retrieve merchant data for a specific Kard merchant ID.
Required scopes: rewards:read

Was this page helpful?
Previous

Get Merchants

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The Kard merchant ID to query

Response

This endpoint returns an object or a string.
Merchantobject
OR
string

In the event the merchant ID is not valid for the issuer, this endpoint will return a string that says “No Offers with this merchantId <id>”

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error